<?php
require_once 'PHPUnit/Framework.php';
require_once 'microid.php';

class MicroIDTests extends PHPUnit_Framework_TestCase 
{

	public function testMicroid() {
		$identity = 'xmpp:stpeter@jabber.org';
		$service = 'https://www.xmpp.net/';
		$expected = 'xmpp+https:sha1:6196ea6709be2a4cbdf2bc0cfaeac491f2fb8921';
		$this->assertEquals($expected, microid($identity, $service));
	}

	public function testLegacy() {
		$identity = 'xmpp:stpeter@jabber.org';
		$service = 'https://www.xmpp.net/';
		$expected = '6196ea6709be2a4cbdf2bc0cfaeac491f2fb8921';
		$this->assertEquals($expected, microid($identity, $service, 'sha1', true));
	}

	public function testMD5() {
		$identity = 'xmpp:stpeter@jabber.org';
		$service = 'https://www.xmpp.net/';
		$expected = 'xmpp+https:md5:dea93f8333d972b0bf81efec629f5408';
		$this->assertEquals($expected, microid($identity, $service, 'md5'));
	}

	public function testLegacyMD5() {
		$identity = 'xmpp:stpeter@jabber.org';
		$service = 'https://www.xmpp.net/';
		$expected = 'dea93f8333d972b0bf81efec629f5408';
		$this->assertEquals($expected, microid($identity, $service, 'md5', true));
	}

	public function testMailto() {
		$identity = 'mailto:stpeter@jabber.org';
		$service = 'https://www.xmpp.net/';
		$expected = 'mailto+https:sha1:4b2b6d6e3ce8b5486ad77130efec04791e24904b';
		$this->assertEquals($expected, microid($identity, $service));
	}

	public function testHttp() {
		$identity = 'http://www.saint-andre.com/';
		$service = 'https://www.xmpp.net/';
		$expected = 'http+https:sha1:80f85188f56da003dd00db1dfb26964afde0400c';
		$this->assertEquals($expected, microid($identity, $service));
	}
}

?>
